Index: lib/style/eml2/eml-storedprocedure-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-storedprocedure-2.0.0.xsl	(revision 1734)
+++ lib/style/eml2/eml-storedprocedure-2.0.0.xsl	(revision 1735)
@@ -201,8 +201,8 @@
           <xsl:with-param name="docid" select="$docid"/>
           <xsl:with-param name="entityindex" select="$entityindex"/>
           <xsl:with-param name="physicalindex" select="position()"/>
-          <xsl:with-param name="disfirstColStyle" select="$storedprocedurefirstColStyle"/>
-          <xsl:with-param name="dissubHeaderStyle" select="$storedproceduresubHeaderStyle"/>
+          <xsl:with-param name="storedprocedurefirstColStyle" select="$storedprocedurefirstColStyle"/>
+          <xsl:with-param name="storedproceduresubHeaderStyle" select="$storedproceduresubHeaderStyle"/>
        </xsl:call-template>
     </xsl:for-each>
   </xsl:template>
Index: lib/style/eml2/eml-view-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-view-2.0.0.xsl	(revision 1734)
+++ lib/style/eml2/eml-view-2.0.0.xsl	(revision 1735)
@@ -165,8 +165,8 @@
           <xsl:with-param name="docid" select="$docid"/>
           <xsl:with-param name="entityindex" select="$entityindex"/>
           <xsl:with-param name="physicalindex" select="position()"/>
-          <xsl:with-param name="disfirstColStyle" select="$viewfirstColStyle"/>
-          <xsl:with-param name="dissubHeaderStyle" select="$viewsubHeaderStyle"/>
+          <xsl:with-param name="viewfirstColStyle" select="$viewfirstColStyle"/>
+          <xsl:with-param name="viewsubHeaderStyle" select="$viewsubHeaderStyle"/>
        </xsl:call-template>
     </xsl:for-each>
   </xsl:template>
Index: lib/style/eml2/eml-physical-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-physical-2.0.0.xsl	(revision 1734)
+++ lib/style/eml2/eml-physical-2.0.0.xsl	(revision 1735)
@@ -250,7 +250,7 @@
         </tr>
   </xsl:template>
   
-  <xsl:template match="numPhysicalLinePerRecord">
+  <xsl:template match="numPhysicalLinesPerRecord">
         <xsl:param name="physicalfirstColStyle"/>
         <tr>
         <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Line Number For One Record:</td>
@@ -401,13 +401,14 @@
       </tr>
     </xsl:for-each>
   </xsl:template>
-  
   <xsl:template match="formatName">
-        <xsl:param name="physicalfirstColStyle"/>
+    <xsl:param name="physicalfirstColStyle"/>
+    <xsl:if test="normalize-space(.)!=''">
         <tr>
         <td class="{$firstColStyle}" width="{$firstColWidth}">Format Name:</td>
         <td class="{$secondColStyle}" width="{$secondColWidth}"><xsl:value-of select="."/></td>
         </tr>
+    </xsl:if>
   </xsl:template>
   
   <xsl:template match="formatVersion">
@@ -421,10 +422,11 @@
   <xsl:template match="citation">
         <xsl:param name="physicalfirstColStyle"/>
         <tr>
-        <td class="{$firstColStyle}" width="{$firstColWidth}">Citation:</td>
-        <td class="{$secondColStyle}">
+        <td class="{$physicalfirstColStyle}" width="{$firstColWidth}">Citation: </td>
+        <td width="{$secondColWidth}">
           <xsl:call-template name="citation">
-            <xsl:with-param name="citationfirstColStyle" select="physicalfirstColStyle"/>
+            <xsl:with-param name="citationfirstColStyle" select="$physicalfirstColStyle"/>
+             <xsl:with-param name="citationsubHeaderStyle" select="$subHeaderStyle"/>
           </xsl:call-template>
         </td>
         </tr>
@@ -465,7 +467,7 @@
         <xsl:param name="physicalfirstColStyle"/>
         <tr>
         <td class="{$firstColStyle}" width="{$firstColWidth}">Multiple Bands:</td>
-        <td class="{$secondColStyle}">
+        <td width="{$secondColWidth}">
          <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
             <tr>
                 <td class="{$firstColStyle}" width="{$firstColWidth}">Number of Spectral Bands:</td>
Index: lib/style/eml2/eml-spatialraster-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-spatialraster-2.0.0.xsl	(revision 1734)
+++ lib/style/eml2/eml-spatialraster-2.0.0.xsl	(revision 1735)
@@ -294,8 +294,8 @@
           <xsl:with-param name="docid" select="$docid"/>
           <xsl:with-param name="entityindex" select="$entityindex"/>
           <xsl:with-param name="physicalindex" select="position()"/>
-          <xsl:with-param name="disfirstColStyle" select="$spatialrasterfirstColStyle"/>
-          <xsl:with-param name="dissubHeaderStyle" select="$spatialrastersubHeaderStyle"/>
+          <xsl:with-param name="spatialrasterfirstColStyle" select="$spatialrasterfirstColStyle"/>
+          <xsl:with-param name="spatialrastersubHeaderStyle" select="$spatialrastersubHeaderStyle"/>
        </xsl:call-template>
     </xsl:for-each>
   </xsl:template>
@@ -338,9 +338,9 @@
     </xsl:for-each>
     <xsl:for-each select="horizCoordSysDef/geogCoordSys">
        <tr><td width="{$firstColWidth}" class="{$spatialrasterfirstColStyle}">
-            Definition of <xsl:text> </xsl:text><xsl:value-of select="./@name"/> <xsl:text> </xsl:text> (Geographic Coordinate System):
+            Definition of <xsl:text> </xsl:text><xsl:value-of select="../@name"/> <xsl:text> </xsl:text> (Geographic Coordinate System):
             </td>
-            <td width="{$secondColWidth}" class="{$secondColStyle}">
+            <td width="{$secondColWidth}">
               <xsl:call-template name="geogCoordSysType">
                  <xsl:with-param name="spatialrasterfirstColStyle" select="$spatialrasterfirstColStyle"/>
               </xsl:call-template>
@@ -350,7 +350,7 @@
     <xsl:for-each select="horizCoordSysDef/projCoordSys">
       <xsl:for-each select="geogCoordSys">
        <tr><td width="{$firstColWidth}" class="{$spatialrasterfirstColStyle}">
-            Definition of<xsl:text> </xsl:text><xsl:value-of select="./@name"/><xsl:text> </xsl:text>(Geographic Coordinate System):
+            Definition of<xsl:text> </xsl:text><xsl:value-of select="../../@name"/><xsl:text> </xsl:text>(Geographic Coordinate System):
             </td>
             <td width="{$secondColWidth}">
               <xsl:call-template name="geogCoordSysType">
Index: lib/style/eml2/eml-otherentity-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-otherentity-2.0.0.xsl	(revision 1734)
+++ lib/style/eml2/eml-otherentity-2.0.0.xsl	(revision 1735)
@@ -165,8 +165,8 @@
           <xsl:with-param name="docid" select="$docid"/>
           <xsl:with-param name="entityindex" select="$entityindex"/>
           <xsl:with-param name="physicalindex" select="position()"/>
-          <xsl:with-param name="disfirstColStyle" select="$otherentityfirstColStyle"/>
-          <xsl:with-param name="dissubHeaderStyle" select="$otherentitysubHeaderStyle"/>
+          <xsl:with-param name="otherentityfirstColStyle" select="$otherentityfirstColStyle"/>
+          <xsl:with-param name="otherentitysubHeaderStyle" select="$otherentitysubHeaderStyle"/>
        </xsl:call-template>
     </xsl:for-each>
   </xsl:template>
Index: lib/style/eml2/eml-distribution-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-distribution-2.0.0.xsl	(revision 1734)
+++ lib/style/eml2/eml-distribution-2.0.0.xsl	(revision 1735)
@@ -45,7 +45,6 @@
       <xsl:param name="entityindex"/>
       <xsl:param name="physicalindex"/>
       <xsl:param name="distributionindex"/>
-      
       <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
        <xsl:choose>
          <xsl:when test="references!=''">
@@ -103,7 +102,7 @@
     <xsl:param name="disfirstColStyle"/>
     <xsl:param name="dissubHeaderStyle"/>
     <tr><td class="{$dissubHeaderStyle}" colspan="2">
-        <xsl:text>Online Distribution information:</xsl:text>
+        <xsl:text>Online Distribution Info:</xsl:text>
     </td></tr>
     <xsl:apply-templates select="url">
       <xsl:with-param name="disfirstColStyle" select="$disfirstColStyle" />
@@ -274,11 +273,11 @@
   <!-- *******************************  Offline data  ********************** -->
   <!-- ********************************************************************* -->
   
-  <xsl:template name="offline">
+  <xsl:template match="offline">
     <xsl:param name="disfirstColStyle"/>
     <xsl:param name="dissubHeaderStyle"/>
     <tr><td class="{$dissubHeaderStyle}" colspan="2">
-        <xsl:text>Offline Distribution information:</xsl:text>
+        <xsl:text>Offline Distribution Info:</xsl:text>
     </td></tr>
     <xsl:if test="(mediumName) and normalize-space(mediumName)!=''">
       <tr><td width="{$firstColWidth}" class="{$disfirstColStyle}"><xsl:text>Medium:</xsl:text></td>
@@ -311,7 +310,7 @@
   <!-- ********************************************************************* -->  
   
   
-  <xsl:template name="inline">
+  <xsl:template match="inline">
     <xsl:param name="disfirstColStyle"/>
     <xsl:param name="dissubHeaderStyle"/>
     <xsl:param name="docid"/>
Index: lib/style/eml2/eml-spatialvector-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-spatialvector-2.0.0.xsl	(revision 1734)
+++ lib/style/eml2/eml-spatialvector-2.0.0.xsl	(revision 1735)
@@ -207,8 +207,8 @@
           <xsl:with-param name="docid" select="$docid"/>
           <xsl:with-param name="entityindex" select="$entityindex"/>
           <xsl:with-param name="physicalindex" select="position()"/>
-          <xsl:with-param name="disfirstColStyle" select="$spatialvectorfirstColStyle"/>
-          <xsl:with-param name="dissubHeaderStyle" select="$spatialvectorsubHeaderStyle"/>
+          <xsl:with-param name="spatialvectorfirstColStyle" select="$spatialvectorfirstColStyle"/>
+          <xsl:with-param name="spatialvectorsubHeaderStyle" select="$spatialvectorsubHeaderStyle"/>
        </xsl:call-template>
     </xsl:for-each>
   </xsl:template>
Index: lib/style/eml2/eml-literature-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-literature-2.0.0.xsl	(revision 1734)
+++ lib/style/eml2/eml-literature-2.0.0.xsl	(revision 1735)
@@ -231,16 +231,13 @@
           <tr><td colspan="2" class="{$citationsubHeaderStyle}"><xsl:text>BOOK:</xsl:text></td></tr>
         </xsl:if>
         <tr><td width="{$firstColWidth}" class="{$citationfirstColStyle}">
-            Publisher:</td><td width="{$secondColWidth}" class="{$secondColStyle}">
-            &#160;</td></tr>
-        <xsl:for-each select="publisher">
-         <tr><td colspan="2">
-              <xsl:call-template name="party">
+            Publisher:</td><td width="{$secondColWidth}">
+           <xsl:for-each select="publisher">
+             <xsl:call-template name="party">
                 <xsl:with-param name="partyfirstColStyle" select="$citationfirstColStyle"/>
               </xsl:call-template>
-         </td></tr>
-        </xsl:for-each>
-        
+          </xsl:for-each>
+        </td></tr>
         <xsl:if test="publicationPlace and normalize-space(publicationPlace)!=''">
            <tr><td width="{$firstColWidth}" class="{$citationfirstColStyle}">
             Publication Place:</td><td width="{$secondColWidth}" class="{$secondColStyle}">
Index: lib/style/eml2/eml-constraint-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-constraint-2.0.0.xsl	(revision 1734)
+++ lib/style/eml2/eml-constraint-2.0.0.xsl	(revision 1735)
@@ -93,152 +93,166 @@
   <xsl:template name="primaryKey">
     <xsl:param name="constraintfirstColStyle"/>
     <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Type:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          Primary Key</td>
+          Primary Key:</td>
+          <td width="{$secondColWidth}">
+            <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
+                 <xsl:call-template name="constraintBaseGroup">
+                    <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
+                 </xsl:call-template> 
+                 <xsl:for-each select="key/attributeReference">
+                      <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
+                            <xsl:text>Key:</xsl:text></td>
+                          <td width="{$secondColWidth}" class="{$secondColStyle}">
+                            <xsl:value-of select="."/></td>
+                      </tr>
+                 </xsl:for-each>
+            </table>
+          </td>
      </tr>
-    <xsl:call-template name="constraintBaseGroup">
-       <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
-    </xsl:call-template> 
-    <xsl:for-each select="key/attributeReference">
-       <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Key:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          <xsl:value-of select="."/></td>
-     </tr>
-    </xsl:for-each>
+   
   </xsl:template>
   
   <xsl:template name="uniqueKey">
     <xsl:param name="constraintfirstColStyle"/>
     <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Type:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          Unique Key</td>
+          Unique Key:</td>
+          <td width="{$secondColWidth}">
+             <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
+                  <xsl:call-template name="constraintBaseGroup">
+                     <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
+                  </xsl:call-template> 
+                  <xsl:for-each select="key/attributeReference">
+                     <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
+                             <xsl:text>Key:</xsl:text></td>
+                          <td width="{$secondColWidth}" class="{$secondColStyle}">
+                            <xsl:value-of select="."/></td>
+                      </tr>
+                  </xsl:for-each>
+             </table>
+          </td>
      </tr>
-    <xsl:call-template name="constraintBaseGroup">
-       <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
-    </xsl:call-template> 
-    <xsl:for-each select="key/attributeReference">
-       <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Key:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          <xsl:value-of select="."/></td>
-     </tr>
-    </xsl:for-each>
   </xsl:template>
   
    <xsl:template name="checkConstraint">
     <xsl:param name="constraintfirstColStyle"/>
     <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Type:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          Checking Constraint</td>
+          Checking Constraint: </td>
+          <td width="{$secondColWidth}">
+              <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
+                    <xsl:call-template name="constraintBaseGroup">
+                       <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
+                    </xsl:call-template> 
+                    <xsl:for-each select="checkCondition">
+                         <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
+                                   <xsl:text>Check Condition:</xsl:text></td>
+                             <td width="{$secondColWidth}" class="{$secondColStyle}">
+                                   <xsl:value-of select="."/></td>
+                         </tr>
+                    </xsl:for-each>
+              </table>
+          </td>
      </tr>
-    <xsl:call-template name="constraintBaseGroup">
-       <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
-    </xsl:call-template> 
-    <xsl:for-each select="checkCondition">
-       <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Check Condition:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          <xsl:value-of select="."/></td>
-     </tr>
-    </xsl:for-each>
-  </xsl:template>
+   </xsl:template>
   
   <xsl:template name="foreignKey">
      <xsl:param name="constraintfirstColStyle"/>
     <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Type:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          Foreign Key</td>
-     </tr>
-    <xsl:call-template name="constraintBaseGroup">
-       <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
-    </xsl:call-template> 
-    <xsl:for-each select="key/attributeReference">
-       <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Key:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          <xsl:value-of select="."/></td>
-     </tr>
-    </xsl:for-each>
-    <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Entity Reference:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          <xsl:value-of select="entityReference"/></td>
-    </tr>
-    <xsl:if test="relationshipType and normalize-space(relationshipType)!=''">
-      <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Relationship:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          <xsl:value-of select="relationshipType"/></td>
-      </tr>
-    </xsl:if>
-    <xsl:if test="cardinality and normalize-space(cardinality)!=''">
-      <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Cardinality:</xsl:text></td>
+          Foreign Key:</td>
           <td width="{$secondColWidth}">
-          <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
-              <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-                   <xsl:text>Parent:</xsl:text></td>
-                   <td width="{$secondColWidth}" class="{$secondColStyle}">
-                    <xsl:value-of select="cardinality/parentOccurences"/></td>
-               </tr>
-               <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-                   <xsl:text>Children</xsl:text></td>
-                   <td width="{$secondColWidth}" class="{$secondColStyle}">
-                    <xsl:value-of select="cardinality/childOccurences"/></td>
-              </tr>
-           </table>
+              <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
+                  <xsl:call-template name="constraintBaseGroup">
+                        <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
+                   </xsl:call-template> 
+                   <xsl:for-each select="key/attributeReference">
+                      <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
+                             <xsl:text>Key:</xsl:text></td>
+                          <td width="{$secondColWidth}" class="{$secondColStyle}">
+                             <xsl:value-of select="."/></td>
+                      </tr>
+                  </xsl:for-each>
+                  <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
+                          <xsl:text>Entity Reference:</xsl:text></td>
+                       <td width="{$secondColWidth}" class="{$secondColStyle}">
+                           <xsl:value-of select="entityReference"/></td>
+                   </tr>
+                   <xsl:if test="relationshipType and normalize-space(relationshipType)!=''">
+                        <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
+                                <xsl:text>Relationship:</xsl:text></td>
+                             <td width="{$secondColWidth}" class="{$secondColStyle}">
+                                 <xsl:value-of select="relationshipType"/></td>
+                         </tr>
+                    </xsl:if>
+                    <xsl:if test="cardinality and normalize-space(cardinality)!=''">
+                          <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
+                                 <xsl:text>Cardinality:</xsl:text></td>
+                              <td width="{$secondColWidth}">
+                                  <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
+                                        <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
+                                                <xsl:text>Parent:</xsl:text></td>
+                                             <td width="{$secondColWidth}" class="{$secondColStyle}">
+                                                 <xsl:value-of select="cardinality/parentOccurences"/></td>
+                                        </tr>
+                                        <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
+                                                <xsl:text>Children</xsl:text></td>
+                                            <td width="{$secondColWidth}" class="{$secondColStyle}">
+                                                 <xsl:value-of select="cardinality/childOccurences"/></td>
+                                         </tr>
+                                   </table>
+                               </td>
+                          </tr>
+                   </xsl:if>
+             </table>
           </td>
-      </tr>
-    </xsl:if>
+     </tr>
+    
   </xsl:template>
   
   <xsl:template name="joinCondition">
     <xsl:param name="constraintfirstColStyle"/>
     <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Type:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          Join Condition</td>
+          Join Condition:</td>
+          <td width="{$secondColWidth}">
+              <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
+                   <xsl:call-template name="foreignKey">
+                        <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
+                   </xsl:call-template> 
+                   <xsl:for-each select="referencedKey/attributeReference">
+                      <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
+                             <xsl:text>Referenced Key:</xsl:text></td>
+                          <td width="{$secondColWidth}" class="{$secondColStyle}">
+                              <xsl:value-of select="."/></td>
+                       </tr>
+                   </xsl:for-each>
+             </table>
+          </td>
     </tr>
-    <xsl:call-template name="foreignKey">
-       <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
-    </xsl:call-template> 
-    <xsl:for-each select="referencedKey/attributeReference">
-       <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Referenced Key:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          <xsl:value-of select="."/></td>
-     </tr>
-    </xsl:for-each>
   </xsl:template>
   
   <xsl:template name="notNullConstraint">
     <xsl:param name="constraintfirstColStyle"/>
     <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Type:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          Not Null Constraint</td>
+          Not Null Constraint:</td>
+          <td width="{$secondColWidth}">
+              <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
+                   <xsl:call-template name="constraintBaseGroup">
+                       <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
+                   </xsl:call-template> 
+                   <xsl:for-each select="key/attributeReference">
+                        <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
+                                 <xsl:text>Key:</xsl:text></td>
+                            <td width="{$secondColWidth}" class="{$secondColStyle}">
+                                 <xsl:value-of select="."/></td>
+                        </tr>
+                   </xsl:for-each>
+              </table>
+          </td>
      </tr>
-    <xsl:call-template name="constraintBaseGroup">
-       <xsl:with-param name="constraintfirstColStyle" select="$constraintfirstColStyle"/>
-    </xsl:call-template> 
-    <xsl:for-each select="key/attributeReference">
-       <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Key:</xsl:text></td>
-          <td width="{$secondColWidth}" class="{$secondColStyle}">
-          <xsl:value-of select="."/></td>
-     </tr>
-    </xsl:for-each>
-  </xsl:template>
+   </xsl:template>
   
   <xsl:template name="constraintBaseGroup">
     <xsl:param name="constraintfirstColStyle"/>
      <tr><td width="{$firstColWidth}" class="{$constraintfirstColStyle}">
-          <xsl:text>Constraint Name:</xsl:text></td>
+          <xsl:text>Name:</xsl:text></td>
           <td width="{$secondColWidth}" class="{$secondColStyle}">
          <xsl:value-of select="constraintName"/></td>
      </tr>
Index: lib/style/eml2/eml-resource-2.0.0.xsl~
===================================================================
--- lib/style/eml2/eml-resource-2.0.0.xsl~	(revision 1734)
+++ lib/style/eml2/eml-resource-2.0.0.xsl~	(revision 1735)
@@ -185,7 +185,7 @@
       <xsl:if test="normalize-space(.)!=''">
       <tr><td width="{$firstColWidth}" class="{$resfirstColStyle}">
         Title:</td><td width="{$secondColWidth}" class="{$secondColStyle}">
-        <xsl:value-of select="."/></td></tr>
+        <b><xsl:value-of select="."/></b></td></tr>
       </xsl:if>
   </xsl:template>
   
@@ -302,7 +302,7 @@
         <xsl:text>Abstract:</xsl:text>
      </td></tr>
      <tr><td width="{$firstColWidth}" class="{$resfirstColStyle}">&#160;</td>
-         <td width="{$secondColWidth}" class="{$secondColStyle}">  
+         <td width="{$secondColWidth}">  
            <xsl:call-template name="text">
              <xsl:with-param name="textfirstColStyle" select="$resfirstColStyle"/>
            </xsl:call-template>
@@ -361,7 +361,7 @@
         <xsl:text>Additional Information:</xsl:text>
      </td></tr>
      <tr><td width="{$firstColWidth}" class="{$resfirstColStyle}">&#160;</td>
-         <td width="{$secondColWidth}" class="{$secondColStyle}">  
+         <td width="{$secondColWidth}">  
            <xsl:call-template name="text">
              <xsl:with-param name="textfirstColStyle" select="$resfirstColStyle"/>
            </xsl:call-template>
@@ -377,7 +377,7 @@
         <xsl:text>License and Usage Rights:</xsl:text>
      </td></tr>
      <tr><td width="{$firstColWidth}" class="{$resfirstColStyle}">&#160;</td>
-         <td width="{$secondColWidth}" class="{$secondColStyle}">  
+         <td width="{$secondColWidth}">  
            <xsl:call-template name="text">
              <xsl:with-param name="textfirstColStyle" select="$resfirstColStyle"/>
            </xsl:call-template>
Index: lib/style/eml2/eml-resource-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-resource-2.0.0.xsl	(revision 1734)
+++ lib/style/eml2/eml-resource-2.0.0.xsl	(revision 1735)
@@ -147,6 +147,7 @@
           <xsl:with-param name="resfirstColStyle" select="$resfirstColStyle"/>
           <xsl:with-param name="ressubHeaderStyle" select="$ressubHeaderStyle"/>
           <xsl:with-param name="index" select="position()"/>
+          <xsl:with-param name="docid" select="$docid"/>
         </xsl:call-template>
       </xsl:for-each>
     </table>
@@ -389,6 +390,7 @@
      <xsl:param name="ressubHeaderStyle"/>
      <xsl:param name="resfirstColStyle"/>
      <xsl:param name="index"/>
+     <xsl:param name="docid"/>
      <tr><td colspan="2" width="100%">    
         <xsl:call-template name="distribution">
           <xsl:with-param name="disfirstColStyle" select="$resfirstColStyle"/>
@@ -395,6 +397,7 @@
           <xsl:with-param name="dissubHeaderStyle" select="$ressubHeaderStyle"/>
           <xsl:with-param name="level">toplevel</xsl:with-param>
           <xsl:with-param name="distributionindex" select="$index"/>
+          <xsl:with-param name="docid" select="$docid"/>
         </xsl:call-template>
      </td></tr>  
   </xsl:template>
Index: lib/style/eml2/eml-2.0.0.xsl
===================================================================
--- lib/style/eml2/eml-2.0.0.xsl	(revision 1734)
+++ lib/style/eml2/eml-2.0.0.xsl	(revision 1735)
@@ -209,7 +209,7 @@
              <xsl:call-template name="datasetattributemethod"/>
           </xsl:if>
           <xsl:if test="$displaymodule='inlinedata'">
-             <xsl:call-template name="datasetinlinedata"/>
+             <xsl:call-template name="emlinlinedata"/>
           </xsl:if>
       </table>
    </xsl:template>
@@ -657,7 +657,7 @@
    
    
    <!--*************************Distribution Inline Data display module*****************-->
-   <xsl:template name="datasetinlinedata">
+   <xsl:template name="emlinlinedata">
       <tr><td>
          <right>
             <h3>Inline Data</h3>
@@ -667,7 +667,7 @@
            <td width="100%">
             <xsl:if test="$distributionlevel='toplevel'">
                <xsl:for-each select="distribution">
-                  <xsl:if test="position=$distributionindex">
+                  <xsl:if test="position()=$distributionindex">
                      <xsl:choose>
                        <xsl:when test="references!=''">
                           <xsl:variable name="ref_id1" select="references"/>
@@ -706,6 +706,96 @@
                   </xsl:if>
                 </xsl:for-each>
               </xsl:if>
+              <xsl:if test="$entitytype='spatialRaster'">
+                <xsl:for-each select="spatialRaster">
+                  <xsl:if test="position()=$entityindex">
+                      <xsl:choose>
+                       <xsl:when test="references!=''">
+                          <xsl:variable name="ref_id2" select="references"/>
+                          <xsl:variable name="references2" select="$ids[@id=$ref_id2]" />
+                          <xsl:for-each select="$references2">
+                             <xsl:call-template name="choosephysical"/>
+                          </xsl:for-each>
+                       </xsl:when>
+                       <xsl:otherwise>
+                           <xsl:call-template name="choosephysical"/>
+                       </xsl:otherwise>
+                     </xsl:choose>
+                  </xsl:if>
+                </xsl:for-each>
+              </xsl:if>
+              <xsl:if test="$entitytype='spatialVector'">
+                <xsl:for-each select="spatialVector">
+                  <xsl:if test="position()=$entityindex">
+                      <xsl:choose>
+                       <xsl:when test="references!=''">
+                          <xsl:variable name="ref_id2" select="references"/>
+                          <xsl:variable name="references2" select="$ids[@id=$ref_id2]" />
+                          <xsl:for-each select="$references2">
+                             <xsl:call-template name="choosephysical"/>
+                          </xsl:for-each>
+                       </xsl:when>
+                       <xsl:otherwise>
+                           <xsl:call-template name="choosephysical"/>
+                       </xsl:otherwise>
+                     </xsl:choose>
+                  </xsl:if>
+                </xsl:for-each>
+              </xsl:if>
+              <xsl:if test="$entitytype='storedProcedure'">
+                <xsl:for-each select="storedProcedure">
+                  <xsl:if test="position()=$entityindex">
+                      <xsl:choose>
+                       <xsl:when test="references!=''">
+                          <xsl:variable name="ref_id2" select="references"/>
+                          <xsl:variable name="references2" select="$ids[@id=$ref_id2]" />
+                          <xsl:for-each select="$references2">
+                             <xsl:call-template name="choosephysical"/>
+                          </xsl:for-each>
+                       </xsl:when>
+                       <xsl:otherwise>
+                           <xsl:call-template name="choosephysical"/>
+                       </xsl:otherwise>
+                     </xsl:choose>
+                  </xsl:if>
+                </xsl:for-each>
+              </xsl:if>
+              <xsl:if test="$entitytype='view'">
+                <xsl:for-each select="view">
+                  <xsl:if test="position()=$entityindex">
+                      <xsl:choose>
+                       <xsl:when test="references!=''">
+                          <xsl:variable name="ref_id2" select="references"/>
+                          <xsl:variable name="references2" select="$ids[@id=$ref_id2]" />
+                          <xsl:for-each select="$references2">
+                             <xsl:call-template name="choosephysical"/>
+                          </xsl:for-each>
+                       </xsl:when>
+                       <xsl:otherwise>
+                           <xsl:call-template name="choosephysical"/>
+                       </xsl:otherwise>
+                     </xsl:choose>
+                  </xsl:if>
+                </xsl:for-each>
+              </xsl:if>
+              <xsl:if test="$entitytype='otherEntity'">
+                <xsl:for-each select="otherEntity">
+                  <xsl:if test="position()=$entityindex">
+                      <xsl:choose>
+                       <xsl:when test="references!=''">
+                          <xsl:variable name="ref_id2" select="references"/>
+                          <xsl:variable name="references2" select="$ids[@id=$ref_id2]" />
+                          <xsl:for-each select="$references2">
+                             <xsl:call-template name="choosephysical"/>
+                          </xsl:for-each>
+                       </xsl:when>
+                       <xsl:otherwise>
+                           <xsl:call-template name="choosephysical"/>
+                       </xsl:otherwise>
+                     </xsl:choose>
+                  </xsl:if>
+                </xsl:for-each>
+              </xsl:if>
             </xsl:if>
           </td>
       </tr>  
@@ -758,7 +848,11 @@
                      Citation part
        ********************************************************-->
    <xsl:template name="emlcitation">
-       
+     <xsl:choose>
+       <xsl:when test="$displaymodule='inlinedata'">
+          <xsl:call-template name="emlinlinedata"/>
+       </xsl:when>
+       <xsl:otherwise>  
         <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
         <tr>
           <td width="100%" colspan="2">
@@ -779,7 +873,9 @@
            </xsl:call-template>
           </td>
         </tr>
-     </table>
+      </table>
+     </xsl:otherwise>
+    </xsl:choose>
    </xsl:template>
    
    
@@ -789,27 +885,34 @@
        ********************************************************-->
    
    <xsl:template name="emlsoftware">
-     <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
-        <tr>
-          <td width="100%" colspan="2">
+     <xsl:choose>
+       <xsl:when test="$displaymodule='inlinedata'">
+          <xsl:call-template name="emlinlinedata"/>
+       </xsl:when>
+       <xsl:otherwise>
+          <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
+          <tr>
+            <td width="100%" colspan="2">
              <right>
                <h3>Software Description</h3>
              </right>
-          </td>
-        </tr>
-        <xsl:call-template name="identifier">
+           </td>
+          </tr>
+          <xsl:call-template name="identifier">
               <xsl:with-param name="packageID" select="../@packageId"/>
               <xsl:with-param name="system" select="../@system"/>
-        </xsl:call-template>
-         <tr>
-          <td width="100%" colspan="2">
+          </xsl:call-template>
+          <tr>
+           <td width="100%" colspan="2">
             <xsl:call-template name="software">
                <xsl:with-param name="softwarefirstColStyle" select="$firstColStyle"/>
                <xsl:with-param name="softwaresubHeaderStyle" select="$subHeaderStyle"/>
            </xsl:call-template>
-          </td>
-        </tr>
-     </table>
+           </td>
+         </tr>
+       </table>
+      </xsl:otherwise>
+     </xsl:choose>
    </xsl:template>
    
      
@@ -818,27 +921,34 @@
        ********************************************************-->
    
    <xsl:template name="emlprotocol">
-      <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
-        <tr>
+    <xsl:choose>
+       <xsl:when test="$displaymodule='inlinedata'">
+          <xsl:call-template name="emlinlinedata"/>
+       </xsl:when>
+       <xsl:otherwise>
+        <table xsl:use-attribute-sets="cellspacing" class="tabledefault" width="100%">
+         <tr>
           <td width="100%" colspan="2">
              <right>
                <h3>Protocal Description</h3>
              </right>
           </td>
-        </tr>
-        <xsl:call-template name="identifier">
+         </tr>
+         <xsl:call-template name="identifier">
               <xsl:with-param name="packageID" select="../@packageId"/>
               <xsl:with-param name="system" select="../@system"/>
-        </xsl:call-template>
-       <tr>
-       <td width="100%" colspan="2">
+         </xsl:call-template>
+         <tr>
+          <td width="100%" colspan="2">
             <xsl:call-template name="protocol">
                <xsl:with-param name="protocolfirstColStyle" select="$firstColStyle"/>
                <xsl:with-param name="protocolsubHeaderStyle" select="$subHeaderStyle"/>
            </xsl:call-template>
           </td>
-        </tr>
-     </table>
+         </tr>
+       </table>
+      </xsl:otherwise>
+    </xsl:choose>
    </xsl:template>
    
       <!--********************************************************
